---
title: "Append to the list of active NPNs subscribed to the account"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2/operations/appendActiveNpns"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2.md

# Append to the list of active NPNs subscribed to the account

`PUT` `/v1/accounts/subscriptions`

Operation ID: `appendActiveNpns`

Append to the current list of active NPNs with the new list provided in the request. This operation is asynchronous

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Accepted — operation is asynchronous. Use the returned job ID to poll for status.
- `401` - Unauthorized
- `404` - Not Found
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.80.2
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v1/accounts/subscriptions:
    put:
      tags:
        - NPN Management
      operationId: appendActiveNpns
      summary: Append to the list of active NPNs subscribed to the account
      description: >
        Append to the current list of active NPNs with the new list provided in
        the request.

        This operation is asynchronous
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
            example:
              - "912484758"
              - "123456689"
              - "999999999"
      responses:
        "200":
          description: Accepted — operation is asynchronous. Use the returned job ID to
            poll for status.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Subscription200"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 404
                  timestamp:
                    type: integer
                    example: 1744654402
                  message:
                    type: string
                    example: Account Not Found
                  path:
                    type: string
                    example: /v1/accounts/subscriptions
                  error:
                    type: string
                    example: Not Found
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  schemas:
    Subscription200:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Job is in progress
        job_id:
          type: string
          example: 0ded8367-01ac-4519-8cd7-ce965d55c0b0
        links:
          type: object
          properties:
            status:
              type: object
              properties:
                href:
                  type: string
                  example: https://api.sandbox.agentsync.io/v1/accounts/subscriptions/status/0ded8367-01ac-4519-8cd7-ce965d55c0b0
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
